<a href="{% url 'profile:admin_setting_create_running_link' %}" class="btn btn-info mt-2 mb-2" >
    <i class="bi bi-plus"></i> Tambah Partner Kami
</a>
<button class="btn btn-danger pass-data mt-2 mb-2" 
    data-toggle="modal" data-target="#modal-center"><i class="bi bi-search"></i> Lihat Data Arsip
</button>

<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Partner Kami</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <div class="row">
            {% for running_link in running_links %}
                <div class="col-md-3 mb-2">
                    <div class="bg-white rounded shadow-sm pt-3">
                        {% if running_link.logo != '' %}
                            <center><img src="{{ running_link.logo.url }}" alt="" 
                                class="img-fluid card-img-top" style="width: auto; height: 50px;"></center>
                            {% if running_link.deleted_at %}
                                <div class="img-bagss">
                                    <div class="tag-bln">Diarsipkan</div>
                                </div>
                            {% endif %}
                        {% endif %}
                        <div class="p-0">
                            <!-- <p class="mb-0">{{ running_link.nama }}</p> -->
                            
                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                <button href="#" class="btn btn-sm btn-info btn-circle pass-data mr-3 mb-2" 
                                    data-tooltip="tooltip" data-placement="top" title="Detail"
                                    data-toggle="modal" data-target="#modal-center-detail"
                                    data-id="{% url 'profile:admin_setting_edit_running_link' id=running_link.id %}"
                                    data-created_at="{{ running_link.created_at }}"
                                    data-logo="{{ running_link.logo.url }}">
                                    <i class="bi bi-info"></i>
                                </button>
                                <a href="{% url 'profile:admin_setting_edit_running_link' id=running_link.id %}">
                                    <button class="btn btn-sm btn-success btn-circle pass-data-ubah mr-3 mb-2">
                                        <i class="bi bi-pencil"></i>
                                    </button>
                                </a>
                                
                                {% if running_link.deleted_at %}
                                    <button class="btn btn-sm btn-success btn-circle mr-3 mb-2" 
                                        onclick="restore_('Partner Kami ini', '{{ running_link.id }}', 'running_link', 'Partner Kami')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>
                                    {% if user.is_staff%}
                                        <button href="#" class="btn btn-sm btn-danger btn-circle mr-3 mb-2" 
                                            onclick="delete_('permanent_delete', 'Partner Kami ini', '{{ running_link.id }}', 'running_link', 'Partner Kami')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    {% endif %}
                                {% else %}
                                    <button href="#" class="btn btn-sm btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', 'Partner Kami ini', '{{ running_link.id }}', 'running_link', 'Partner Kami')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
</div>

<div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Daftar Data Arsip</h5>
                <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                
                <div class="card shadow mb-5">
                    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                        <h6 class="m-0 font-weight-bold text-info">Arsip Partner Kami</h6>
                        <div class="dropdown no-arrow">
                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                            </a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            {% for archive in archives %}
                                <div class="col-md-3 mb-2">
                                    <div class="bg-white rounded shadow-sm h-100">
                                        {% if archive.logo != '' %}
                                            <img src="{{ archive.logo.url }}" alt="" class="img-fluid card-img-top p-2">
                                            {% if archive.deleted_at %}
                                                <div class="img-bagss">
                                                    <div class="tag-bln">Diarsipkan</div>
                                                </div>
                                            {% endif %}
                                        {% else %}
                                            {% load static %}
                                            <img class="img-fluid card-img-top p-2" src="{% static 'profile/front/images/marapitrip.jpg' %}">
                                        {% endif %}
                                        <!-- {% if archive.video %}
                                            <div class="embed-responsive embed-responsive-4by3">
                                                <iframe class="embed-responsive-item" src="{{ archive.video }}" allowfullscreen></iframe>
                                            </div>
                                            {% if archive.deleted_at %}
                                                <div class="img-bagss">
                                                    <div class="tag-bln">Diarsipkan</div>
                                                </div>
                                            {% endif %}
                                        {% endif %} -->
                                        <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                            <!-- <button href="#" class="btn btn-info btn-circle pass-data mr-3 mb-2" 
                                                data-tooltip="tooltip" data-placement="top" title="Detail"
                                                data-toggle="modal" data-target="#modal-center-detail"
                                                data-id="{% url 'profile:admin_setting_edit_running_link' archive.id %}"
                                                data-created_at="{{ running_link.created_at }}"
                                                data-logo="{{ running_link.logo.url }}">
                                                <i class="bi bi-info"></i>
                                            </button> -->
            
                                            <a href="{% url 'profile:admin_setting_edit_running_link' archive.id %}">
                                                <button class="btn btn-success btn-circle pass-data-ubah mr-3 mb-2">
                                                    <i class="bi bi-pencil"></i>
                                                </button>
                                            </a>
                                            
                                            {% if archive.deleted_at %}
                                                <button class="btn btn-success btn-circle mr-3 mb-2" 
                                                    onclick="restore_('Partner Kami ini', '{{ archive.id }}', 'running_link', 'Partner Kami')"
                                                    data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                                    <i class="bi bi-arrow-counterclockwise"></i>
                                                </button>
                                                <!-- {% if user.is_staff%}
                                                    <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                        onclick="delete_('permanent_delete', 'Partner Kami ini', '{{ archive.id }}', 'running_link', 'Partner Kami')"
                                                        data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                                        <i class="bi bi-trash"></i>
                                                    </button>
                                                {% endif %} -->
                                            {% else %}
                                                <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                    onclick="delete_('soft_delete', 'Partner Kami ini', '{{ archive.id }}', 'running_link', 'Partner Kami')"
                                                    data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                                    <i class="bi bi-archive"></i>
                                                </button>
                                            {% endif %}
                                        </div>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-center-detail" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Detail</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <div class="text-right mb-1">
                    <a href="" id="detail-id" class="ml-2"> 
                        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-pencil"></i> Edit</button>
                    </a>
                </div>
                <img src="" class="img-fluid w-100 d-non mb-1" alt="Responsive image" id="detail-logo">
                <div class="form-group">
                    <label for="detail-created_at">Tanggal</label>
                    <input type="text" class="form-control" id="detail-created_at" disabled>
                </div>
            </div>
        </div>
    </div>
</div>